Bug 739518 - License incompatibility due to use of GPLv2-only sanlock library
Summary: License incompatibility due to use of GPLv2-only sanlock library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: ---
Assignee: Daniel Berrange
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 733038
Blocks: 748554
TreeView+ depends on / blocked
 
Reported: 2011-09-19 11:03 UTC by Daniel Berrange
Modified: 2011-12-06 11:31 UTC (History)
9 users (show)

Fixed In Version: libvirt-0.9.4-18.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 733038
Environment:
Last Closed: 2011-12-06 11:31:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1513 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2011-12-06 01:23:30 UTC

Comment 1 Daniel Berrange 2011-09-19 11:04:17 UTC
We need this patch in libvirt

https://www.redhat.com/archives/libvir-list/2011-September/msg00712.html

Comment 4 Wayne Sun 2011-10-19 11:29:45 UTC
Steps:
1. check whether the link library changed
# ldd /usr/lib64/libvirt/lock-driver/sanlock.so

For libvirt-0.9.4-17

# ldd /usr/lib64/libvirt/lock-driver/sanlock.so
        linux-vdso.so.1 =>  (0x00007fff86f4a000)
        libsanlock.so.1 => /usr/lib64/libsanlock.so.1 (0x00007fce69d2b000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007fce69b0f000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007fce6990a000)
        libc.so.6 => /lib64/libc.so.6 (0x00007fce69569000)
        librt.so.1 => /lib64/librt.so.1 (0x00007fce69361000)
        libaio.so.1 => /lib64/libaio.so.1 (0x00007fce6915f000)
        libblkid.so.1 => /lib64/libblkid.so.1 (0x00007fce68f3e000)
        libwdmd.so.1 => /usr/lib64/libwdmd.so.1 (0x00007fce68d3b000)
        /lib64/ld-linux-x86-64.so.2 (0x000000306cc00000)
        libuuid.so.1 => /lib64/libuuid.so.1 (0x00007fce68b36000)

For libvirt-0.9.4-18

# ldd /usr/lib64/libvirt/lock-driver/sanlock.so 
        linux-vdso.so.1 =>  (0x00007fff4337b000)
        libsanlock_client.so.1 => /usr/lib64/libsanlock_client.so.1 (0x00007f6120ad5000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f61208b9000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f61206b4000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f6120313000)
        /lib64/ld-linux-x86-64.so.2 (0x0000003b73400000)

As desired, changed:
From
        libsanlock.so.1 => /usr/lib64/libsanlock.so.1 (0x00007fce69d2b000)
To
        libsanlock_client.so.1 => /usr/lib64/libsanlock_client.so.1 (0x00007f6120ad5000)


Also follow the steps in:
https://bugzilla.redhat.com/show_bug.cgi?id=578121#c13

# rpm -q libvirt qemu-kvm kernel
libvirt-0.9.4-19.el6.x86_64
qemu-kvm-0.12.1.2-2.197.el6.x86_64
kernel-2.6.32-210.el6.x86_64

Result:
1. start two guest using one exact disk:
# virsh create demo1.xml 
Domain demo1 created from demo1.xml

[root@intel-i7-12-4 ~]# virsh create demo2.xml 
error: Failed to create domain from demo2.xml
error: Failed to acquire lock: File exists

2. start two guests on two hosts with same img file on same nfs mount dir 
On host 1:
# virsh create demo1.xml 
Domain demo1 created from demo1.xml

# ll -aZ /var/lib/libvirt/sanlock/
-rw-------. root root system_u:object_r:nfs_t:s0       5a2fc591bd45bf258255dc0055a7c5e6
-rw-r--r--. root root system_u:object_r:nfs_t:s0       disk.img
-rw-------. root root system_u:object_r:nfs_t:s0       __LIBVIRT__DISKS__

On host 2:
# virsh create demo2.xml 
error: Failed to create domain from demo2.xml
error: internal error Failed to acquire lock: error -243

Basic operations work fine for libvirt, so this is fixed.

Comment 5 errata-xmlrpc 2011-12-06 11:31:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1513.html


Note You need to log in before you can comment on or make changes to this bug.